Commit 2987c354 authored by Arnaud Blanchard's avatar Arnaud Blanchard

Modernise bash files

parent 0152d91a
# Copyright ETIS — ENSEA, Université de Cergy-Pontoise, CNRS (2011 - 2016)
# Author: Arnaud Blanchard (November, 2016)
# Basic Libraries And Applications for Robotics (BLAAR)
# Copyright ETIS — ENSEA, University of Cergy-Pontoise, CNRS (2011 - 2017)
# Author: Arnaud Blanchard
#
# This software is governed by the CeCILL v2.1 license under French law and abiding by the rules of distribution of free software.
# You can use, modify and/ or redistribute the software under the terms of the CeCILL v2.1 license as circulated by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".
......@@ -8,14 +9,29 @@
# In this respect, the user's attention is drawn to the risks associated with loading, using, modifying and/or developing or reproducing the software by the user in light of its specific status of free software,
# that may mean that it is complicated to manipulate, and that also therefore means that it is reserved for developers and experienced professionals having in-depth computer knowledge.
# Users are therefore encouraged to load and test the software's suitability as regards their requirements in conditions enabling the security of their systems and/or data to be ensured  and, more generally, to use and operate it in the same conditions as regards security.
# The fact that you are presently reading this means that you have had knowledge of the CeCILL v2.1 license and that you accept its terms.
#
# The fact that you are presently reading this means that you have had knowledge of the CeCILL v2.1 license and that you accept its terms.
#!/usr/bin/env bash #Use your $PATH to find bash
set -o errexit #Exit on first error
set -o nounset #Error if a variable is used but nont defined
set -o pipefail #Error if a pipe fail
echo
echo "Check all projects"
echo "================="
echo
error=0
mkdir -p /tmp/blaar
#We make sure we respect the order of compilation in .gitmodules
cat .gitmodules | sed -n 's/.*path = //p' | { while read project; do echo "Check **$project**"; $project/check.sh $build_type > /tmp/blaar/check_$project.log || { echo;echo "### Fail checking: '$project' ###"; cat /tmp/blaar_check_$project.log; echo; exit 1; } done }
echo
cat .gitmodules | sed -n 's/.*path = //p' | while read project_path
do
project_name=$(basename $project_path)
echo "Check **$project_path**";
$project_path/check.sh &> /tmp/blaar/check_$project_name.log ||
{
echo "### Fail checking: '$project_path' ###"
cat /tmp/blaar/check_$project_name.log
echo
exit 1
}
done
......@@ -24,7 +24,7 @@ echo "-h display this help"
echo
}
[ $# -lt 2 ] && { echo "Missing project directory."; usage; exit 1; }
[ $# -lt 1 ] && { echo "Missing project directory."; usage; exit 1; }
target="cpp_api"
......
......@@ -70,7 +70,10 @@ if [ "$1" = "all" ]; then
$command
else
echo "Install **$project_path**"
$command > /tmp/blaar/install_${project_name}.log || { echo; echo "Fail executing '$command'"; cat /tmp/blaar/install_${project_name}.log; echo; exit 2; };
$command > /tmp/blaar/install_${project_name}.log ||
{
echo; echo "Fail executing '$command'";
cat /tmp/blaar/install_${project_name}.log; echo; exit 2; };
fi
done
echo
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment